Summary: Utilities that provide information out of the pseudo-filesystem 
Name: procps-ng
Version: 4.0.3
Release: 4%{?dist}
License: GPL+ and GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+
URL: https://sourceforge.net/projects/procps-ng/
Source0: https://udomain.dl.sourceforge.net/project/%{name}/Production/%{name}-%{version}.tar.xz

Patch0001: 0001-ps-Fix-possible-buffer-overflow-in-C-option.patch

BuildRequires: gcc autoconf automake make libtool
BuildRequires: ncurses-devel gettext-devel systemd-devel 
BuildRequires: po4a
Provides:      procps = %{version}-%{release}
Provides:      %{name}
Provides:      /sbin/sysctl
Provides:      /bin/ps	

%description
procps is a set of command line and full-screen utilities that provide
information out of the pseudo-filesystem most commonly located at /proc.
This filesystem provides a simple interface to the kernel data structures.
The programs of procps generally concentrate on the structures that describe
the processess running on the system.

%package devel
Summary:  Provides development headers of %{name}
Requires: %{name} = %{version}-%{release}
Provides: procps-devel = %{version}-%{release}

%description devel
This package provides development headers of %{name}.

%package i18n
Summary:  Internationalization pack for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description i18n
Internationalization pack for %{name}


%prep
%autosetup -p1


%build
autoreconf -ivf
%configure \
    --exec-prefix=/ \
    --disable-static \
    --disable-w-from \
    --disable-kill \
    --enable-watch8bit \
    --enable-skill \
    --enable-sigwinch \
    --enable-libselinux \
    --with-systemd \
    --disable-modern-top \
    --enable-pidwait \
    %{nil}

make CFLAGS="%{optflags}"


%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_mandir}/pl/man5
rm -rf %{buildroot}%{_mandir}/{fr,de,pt_BR}/man3

%find_lang %{name} --all-name --with-man

ln -s %{_bindir}/pidof %{buildroot}%{_sbindir}/pidof

%files
%license COPYING COPYING.LIB
%doc AUTHORS bugs.md FAQ NEWS README.md
%{_libdir}/libproc2.so.*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_mandir}/man5/*
%exclude %{_pkgdocdir}/libproc.supp

%files devel
%license COPYING COPYING.LIB
%{_libdir}/libproc2.so
%{_libdir}/pkgconfig/libproc2.pc
%{_includedir}/libproc2
%{_mandir}/man3/*

%files i18n -f %{name}.lang


%changelog
* Thu Oct 19 2023 Miaojun Dong <zoedong@tencent.com> - 4.0.3-4
- Fix CVE-2023-4016

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 11 2023 Miaojun Dong <zoedong@tencent.com> - 4.0.3-2
- Remove empty directories causes rpmbuild errors

* Mon Jul 31 2023 Shuo Wang <abushwang@tencent.com> - 4.0.3-1
- update to 4.0.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 doriscchao <doriscchao@tencent.com> - 4.0.0-2
- add provides /sbin/sysctl and /bin/ps

* Tue May 24 2022 doriscchao <doriscchao@tencent.com> - 4.0.0-1
- initial build,Version 4.0.0, Release 1
